package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;

public class RenderEsquemaCorrida implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	EsquemaCorrida esquemaCorrida = (EsquemaCorrida) o;

        Listcell lc = new Listcell(esquemaCorrida.getNumCorrida().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(esquemaCorrida.getRuta().getNumRuta());
        lc.setParent(lstm);
        
        lc = new Listcell(esquemaCorrida.getRuta().getDescruta());
        lc.setParent(lstm);

        lstm.setAttribute("data", esquemaCorrida);
    }
	
}